Bug 845093 - Legacy sysv initscript should be packaged separately or dropped as stated by the packaging guidelines
Legacy sysv initscript should be packaged separately or dropped as stated by ...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: bcfg2 (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-01 14:28 EDT by Jóhann B. Guðmundsson
Modified: 2014-02-26 12:38 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-26 12:38:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
new bcfg2 service (218 bytes, application/octet-stream)
2012-08-01 14:28 EDT, Jóhann B. Guðmundsson
no flags Details
new bcfg2 server service (295 bytes, text/plain)
2012-08-01 14:29 EDT, Jóhann B. Guðmundsson
no flags Details

  None (edit)
Description Jóhann B. Guðmundsson 2012-08-01 14:28:49 EDT
Created attachment 601791 [details]
new bcfg2 service

Description of problem:

See https://fedoraproject.org/wiki/Packaging:SysVInitScript#Initscripts_in_addition_to_systemd_unit_files

I'm also attaching updated unit files which should be upstreamable  and if I'm not mistaken your package no longer needs to require redhat-lsb-desktop thus bug 246877 and 449935 can be closed and on top of that when setting up the server to test the new unit files I could not duplicate 744636

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jóhann B. Guðmundsson 2012-08-01 14:29:15 EDT
Created attachment 601792 [details]
new bcfg2 server service
Comment 2 Fedora End Of Life 2013-04-03 11:11:58 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 John Morris 2014-02-26 12:38:23 EST
The specfiles from the Fedora package and from upstream were recently refactored after having diverged many years ago.

Init scripts were addressed during the refactor.  The dependency upon redhat-lsb-desktop is gone for SysV init systems, and systemd uses upstream's unit files, which look similar to yours.

Closing this bug.  If the problem persists, please reopen or file a new report.  Thank you

Note You need to log in before you can comment on or make changes to this bug.